Bug 517756 - Smolt broken in rawhide (2008-08-16)
Smolt broken in rawhide (2008-08-16)
Status: CLOSED DUPLICATE of bug 515797
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-16 14:33 EDT by Clemens Eisserer
Modified: 2009-08-17 12:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-17 12:07:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Clemens Eisserer 2009-08-16 14:33:26 EDT
Description of problem:

[root@localhost ce]# smoltSendProfile   
        UUID: d3d00f80-249c-46ed-bff4-dbc95f7456b4
        OS: Fedora release 11.91 (Rawhide)        
        Default run level: 5                      
        Language: en_US.UTF-8                     
        Platform: i686                            
        BogoMIPS: 3989.76                         
        CPU Vendor: GenuineIntel                  
        CPU Model: Intel(R) Core(TM)2 CPU         T7200  @ 2.00GHz
        CPU Stepping: 6                                           
        CPU Family: 6                                             
        CPU Model Num: 15                                         
        Number of CPUs: 2                                         
        CPU Speed: 2000                                           
        System Memory: 2986                                       
        System Swap: 1459                                         
        Vendor: TOSHIBA                                           
        System: Tecra A8 PTA83E-05202QGR                          
        Form factor: laptop                                       
        Kernel: 2.6.31-0.125.rc5.git2.fc12.i686                   
        SELinux Enabled: 0                                        
        SELinux Policy: targeted                                  
        SELinux Enforce: Unknown                                  

                 Devices
                =================================
                (None:None:None:None) ppdev, Unknown, None, Parallel Port Device
                (None:None:None:None) input, Unknown, None, AlpsPS/2 ALPS GlidePoint
                (None:None:None:None) net, Unknown, NETWORK, No Description         
                (None:None:None:None) rfkill, Unknown, None, Toshiba Bluetooth bluetooth Killswitch                                                                       
                (None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter    
                (None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device                                                                                 
                (None:None:None:None) input, Unknown, None, HDA Digital PCBeep       
                (None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface                                                                                 
                (None:None:None:None) pnp, serial, None, 16550A-compatible COM port  
                (None:None:None:None) input, Unknown, MOUSE, ARROW STRONG USB Mouse  
                (None:None:None:None) pnp, i8042 aux, None, PS/2 Port for PS/2-style Mice                                                                                 
                (32902:10150:4473:5) pci, Unknown, VIDEO, Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller                                         
                (4817:4097:None:None) usb, option, OTHER, USB Vendor Specific Interface                                                                                   
                (32902:10146:4473:5) pci, i915, VIDEO, Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller                                                
                (32902:10144:4473:1) pci, agpgart-intel, OTHER, Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub                                   
                (None:None:None:None) scsi, sd, None, SCSI Device                    
                (None:None:None:None) platform, Unknown, None, Platform Device (Fixed MDIO bus.0)                                                                         
                (32902:16930:32902:4161) pci, iwl3945, NETWORK, PRO/Wireless 3945ABG [Golan] Network Connection                                                           
                (32902:4250:4473:1) pci, e1000e, NETWORK, 82573L Gigabit Ethernet Controller                                                                              
                (None:None:None:None) tty, Unknown, None, E620 USB Modem             
                (4172:32828:4473:1) pci, sdhci-pci, OTHER, PCIxx12 SDA Standard Compliant SD Host Controller                                                              
                (4172:32826:4473:1) pci, firewire_ohci, FIREWIRE, PCIxx12 OHCI Compliant IEEE 1394 Host Controller                                                        
                (None:None:None:None) platform, Unknown, None, Platform Device (vesafb.0)                                                                                 
                (None:None:None:None) serio, psmouse, None, i8042 AUX port           
                (None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface                                                                                 
                (None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device                                                                                 
                (None:None:None:None) pnp, parport_pc, None, ECP printer port        
                (4172:32825:4473:1) pci, yenta_cardbus, SOCKET, PCIxx12 Cardbus Controller                                                                                
                (None:None:None:None) platform, Unknown, None, Platform Device (dock.0)                                                                                   
                (None:None:None:None) net, Unknown, NETWORK, Loopback device Interface                                                                                    
                (None:None:None:None) platform, Unknown, None, Platform Device (toshiba_acpi)                                                                             
                (None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter    
                (None:None:None:None) scsi, sr, None, SCSI Device                    
                (32902:10180:4473:1) pci, ata_piix, IDE, 82801GBM/GHM (ICH7 Family) SATA IDE Controller                                                                   
                (None:None:None:None) net, Unknown, NETWORK, Networking Interface    
                (None:None:None:None) platform, i8042, None, Platform Device (i8042) 
                (None:None:None:None) platform, Unknown, None, Platform Device (pcspkr)                                                                                   
                (None:None:None:None) platform, iTCO_wdt, None, Platform Device (iTCO_wdt)                                                                                
                (None:None:None:None) pnp, rtc_cmos, None, AT Real-Time Clock        
                (32902:10200:4473:1) pci, HDA Intel, AUDIO, 82801G (ICH7 Family) High Definition Audio Controller                                                         
                (32902:10196:0:0) pci, pcieport-driver, OTHER, 82801G (ICH7 Family) PCI Express Port 3                                                                    
                (None:None:None:None) input, Unknown, None, Power Button             
                (32902:10192:0:0) pci, pcieport-driver, OTHER, 82801G (ICH7 Family) PCI Express Port 1                                                                    
                (None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device                                                                                 
                (None:None:None:None) tty, Unknown, None, E620 USB Modem             
                (32902:10185:4473:1) pci, uhci_hcd, USB, 82801G (ICH7 Family) USB UHCI Controller #2                                                                      
                (None:None:None:None) mmc, mmcblk, None, SD01G                       
                (32902:10186:4473:1) pci, uhci_hcd, USB, 82801G (ICH7 Family) USB UHCI Controller #3                                                                      
                (None:None:None:None) tty, Unknown, None, E620 USB Modem             
                (None:None:None:None) net, Unknown, NETWORK, WLAN Interface          
                (None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device                                                                                 
                (None:None:None:None) firewire, Unknown, None, No Description        
                (None:None:None:None) pnp, i8042 kbd, None, IBM Enhanced (101/102-key, PS/2 mouse support)                                                                
                (None:None:None:None) net, Unknown, NETWORK, Networking Wireless Control Interface                                                                        
                (None:None:None:None) backlight, Unknown, None, Generic Backlight Device                                                                                  
                (32902:10188:4473:1) pci, ehci_hcd, USB, 82801G (ICH7 Family) USB2 EHCI Controller                                                                        
                (32902:10187:4473:1) pci, uhci_hcd, USB, 82801G (ICH7 Family) USB UHCI Controller #4                                                                      
                (32902:9288:0:0) pci, Unknown, OTHER, 82801 Mobile PCI Bridge        
                (None:None:None:None) input, Unknown, MOUSE, PS/2 Mouse              
                (None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter    
                (None:None:None:None) input, Unknown, None, Lid Switch               
                (None:None:None:None) input, Unknown, MOUSE, Macintosh mouse button emulation                                                                             
                (None:None:None:None) input, Unknown, None, Power Button             
                (None:None:None:None) input, Unknown, None, Video Bus                
                (None:None:None:None) tty, Unknown, None, 16550A-compatible COM port 
                (32902:10169:4473:1) pci, Unknown, OTHER, 82801GBM (ICH7-M) LPC Interface Bridge                                                                          
                (None:None:None:None) rfkill, Unknown, None, phy0 wlan Killswitch    
                (None:None:None:None) platform, serial8250, None, Platform Device (serial8250)                                                                            
                (None:None:None:None) platform, Unknown, None, Platform Device (regulatory.0)                                                                             
                (None:None:None:None) leds, Unknown, None, No Description            
                (None:None:None:None) power_supply, Unknown, None, Generic AC Adapter Device                                                                              
                (4817:4097:None:None) usb, option, OTHER, USB Vendor Specific Interface                                                                                   
                (4817:4097:None:None) usb, option, OTHER, USB Vendor Specific Interface                                                                                   
                (4817:4097:None:None) usb, Unknown, OTHER, USB Mass Storage Interface
                (None:None:None:None) backlight, Unknown, None, Generic Backlight Device                                                                                  
                (None:None:None:None) input, Unknown, KEYBOARD, AT Translated Set 2 keyboard                                                                              
                (None:None:None:None) mmc_host, Unknown, None, MMC/SD Host Adapter   
                (None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter    
                (2736:1:None:None) usb, usbhid, OTHER, USB HID Interface             
                (32902:10184:4473:1) pci, uhci_hcd, USB, 82801G (ICH7 Family) USB UHCI Controller #1                                                                      
                (None:None:None:None) serio, atkbd, None, i8042 KBD port             
                (None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device                                                                                 

        Filesystem Information
                device mtpt type bsize frsize blocks bfree bavail file ffree favail
                ===================================================================
                /dev/root / ext4 4096 4096 11333600 2279911 2256899 2883584 1247862 1247862                                                                               
                /dev/sda3 WITHHELD ext4 4096 4096 16870558 1525641 654818 17432576 15958234 15958234                                                                      



Exiting...
[root@localhost ce]# 
[root@localhost ce]# 
[root@localhost ce]# 
[root@localhost ce]# smoltSendProfile 
        UUID: d3d00f80-249c-46ed-bff4-dbc95f7456b4
        OS: Fedora release 11.91 (Rawhide)                                                     
        Default run level: 5                                                                   
        Language: en_US.UTF-8                                                                  
        Platform: i686                                                                         
        BogoMIPS: 3989.76                                                                         
        CPU Vendor: GenuineIntel                                                                  
        CPU Model: Intel(R) Core(TM)2 CPU         T7200  @ 2.00GHz                                
        CPU Stepping: 6                                                                           
        CPU Family: 6                                                                             
        CPU Model Num: 15                                                                         
        Number of CPUs: 2                                                                         
        CPU Speed: 2000                                                                           
        System Memory: 2986                                                                       
        System Swap: 1459                                                                         
        Vendor: TOSHIBA                                                                           
        System: Tecra A8 PTA83E-05202QGR                                                          
        Form factor: laptop                                                                       
        Kernel: 2.6.31-0.125.rc5.git2.fc12.i686                                                   
        SELinux Enabled: 0                                                                        
        SELinux Policy: targeted                                                                  
        SELinux Enforce: Unknown                                                                  

                 Devices
                =================================
                (None:None:None:None) ppdev, Unknown, None, Parallel Port Device
                (None:None:None:None) input, Unknown, None, AlpsPS/2 ALPS GlidePoint
                (None:None:None:None) net, Unknown, NETWORK, No Description         
                (None:None:None:None) rfkill, Unknown, None, Toshiba Bluetooth bluetooth Killswitch                                                                                                 
                (None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter                 
                (None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device         
                (None:None:None:None) input, Unknown, None, HDA Digital PCBeep                    
                (None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface         
                (None:None:None:None) pnp, serial, None, 16550A-compatible COM port               
                (None:None:None:None) input, Unknown, MOUSE, ARROW STRONG USB Mouse               
                (None:None:None:None) pnp, i8042 aux, None, PS/2 Port for PS/2-style Mice         
                (32902:10150:4473:5) pci, Unknown, VIDEO, Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller                                                                   
                (4817:4097:None:None) usb, option, OTHER, USB Vendor Specific Interface           
                (32902:10146:4473:5) pci, i915, VIDEO, Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller                                                                          
                (32902:10144:4473:1) pci, agpgart-intel, OTHER, Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub                                                             
                (None:None:None:None) scsi, sd, None, SCSI Device                                 
                (None:None:None:None) platform, Unknown, None, Platform Device (Fixed MDIO bus.0) 
                (32902:16930:32902:4161) pci, iwl3945, NETWORK, PRO/Wireless 3945ABG [Golan] Network Connection                                                                                     
                (32902:4250:4473:1) pci, e1000e, NETWORK, 82573L Gigabit Ethernet Controller      
                (None:None:None:None) tty, Unknown, None, E620 USB Modem                          
                (4172:32828:4473:1) pci, sdhci-pci, OTHER, PCIxx12 SDA Standard Compliant SD Host Controller                                                                                        
                (4172:32826:4473:1) pci, firewire_ohci, FIREWIRE, PCIxx12 OHCI Compliant IEEE 1394 Host Controller                                                                                  
                (None:None:None:None) platform, Unknown, None, Platform Device (vesafb.0)         
                (None:None:None:None) serio, psmouse, None, i8042 AUX port                        
                (None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface         
                (None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device         
                (None:None:None:None) pnp, parport_pc, None, ECP printer port                     
                (4172:32825:4473:1) pci, yenta_cardbus, SOCKET, PCIxx12 Cardbus Controller        
                (None:None:None:None) platform, Unknown, None, Platform Device (dock.0)           
                (None:None:None:None) net, Unknown, NETWORK, Loopback device Interface            
                (None:None:None:None) platform, Unknown, None, Platform Device (toshiba_acpi)     
                (None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter                 
                (None:None:None:None) scsi, sr, None, SCSI Device                                 
                (32902:10180:4473:1) pci, ata_piix, IDE, 82801GBM/GHM (ICH7 Family) SATA IDE Controller                                                                                             
                (None:None:None:None) net, Unknown, NETWORK, Networking Interface                 
                (None:None:None:None) platform, i8042, None, Platform Device (i8042)              
                (None:None:None:None) platform, Unknown, None, Platform Device (pcspkr)           
                (None:None:None:None) platform, iTCO_wdt, None, Platform Device (iTCO_wdt)        
                (None:None:None:None) pnp, rtc_cmos, None, AT Real-Time Clock                     
                (32902:10200:4473:1) pci, HDA Intel, AUDIO, 82801G (ICH7 Family) High Definition Audio Controller                                                                                   
                (32902:10196:0:0) pci, pcieport-driver, OTHER, 82801G (ICH7 Family) PCI Express Port 3                                                                                              
                (None:None:None:None) input, Unknown, None, Power Button                          
                (32902:10192:0:0) pci, pcieport-driver, OTHER, 82801G (ICH7 Family) PCI Express Port 1                                                                                              
                (None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device         
                (None:None:None:None) tty, Unknown, None, E620 USB Modem                          
                (32902:10185:4473:1) pci, uhci_hcd, USB, 82801G (ICH7 Family) USB UHCI Controller #2                                                                                                
                (None:None:None:None) mmc, mmcblk, None, SD01G                                    
                (32902:10186:4473:1) pci, uhci_hcd, USB, 82801G (ICH7 Family) USB UHCI Controller #3                                                                                                
                (None:None:None:None) tty, Unknown, None, E620 USB Modem                          
                (None:None:None:None) net, Unknown, NETWORK, WLAN Interface                       
                (None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device         
                (None:None:None:None) firewire, Unknown, None, No Description                     
                (None:None:None:None) pnp, i8042 kbd, None, IBM Enhanced (101/102-key, PS/2 mouse support)                                                                                          
                (None:None:None:None) net, Unknown, NETWORK, Networking Wireless Control Interface
                (None:None:None:None) backlight, Unknown, None, Generic Backlight Device          
                (32902:10188:4473:1) pci, ehci_hcd, USB, 82801G (ICH7 Family) USB2 EHCI Controller
                (32902:10187:4473:1) pci, uhci_hcd, USB, 82801G (ICH7 Family) USB UHCI Controller #4                                                                                                
                (32902:9288:0:0) pci, Unknown, OTHER, 82801 Mobile PCI Bridge                     
                (None:None:None:None) input, Unknown, MOUSE, PS/2 Mouse                           
                (None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter                 
                (None:None:None:None) input, Unknown, None, Lid Switch                            
                (None:None:None:None) input, Unknown, MOUSE, Macintosh mouse button emulation     
                (None:None:None:None) input, Unknown, None, Power Button                          
                (None:None:None:None) input, Unknown, None, Video Bus                             
                (None:None:None:None) tty, Unknown, None, 16550A-compatible COM port              
                (32902:10169:4473:1) pci, Unknown, OTHER, 82801GBM (ICH7-M) LPC Interface Bridge  
                (None:None:None:None) rfkill, Unknown, None, phy0 wlan Killswitch                 
                (None:None:None:None) platform, serial8250, None, Platform Device (serial8250)    
                (None:None:None:None) platform, Unknown, None, Platform Device (regulatory.0)     
                (None:None:None:None) leds, Unknown, None, No Description                         
                (None:None:None:None) power_supply, Unknown, None, Generic AC Adapter Device      
                (4817:4097:None:None) usb, option, OTHER, USB Vendor Specific Interface           
                (4817:4097:None:None) usb, option, OTHER, USB Vendor Specific Interface           
                (4817:4097:None:None) usb, Unknown, OTHER, USB Mass Storage Interface             
                (None:None:None:None) backlight, Unknown, None, Generic Backlight Device          
                (None:None:None:None) input, Unknown, KEYBOARD, AT Translated Set 2 keyboard      
                (None:None:None:None) mmc_host, Unknown, None, MMC/SD Host Adapter                
                (None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter                 
                (2736:1:None:None) usb, usbhid, OTHER, USB HID Interface                          
                (32902:10184:4473:1) pci, uhci_hcd, USB, 82801G (ICH7 Family) USB UHCI Controller #1                                                                                                
                (None:None:None:None) serio, atkbd, None, i8042 KBD port                          
                (None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device         

        Filesystem Information
                device mtpt type bsize frsize blocks bfree bavail file ffree favail
                ===================================================================
                /dev/root / ext4 4096 4096 11333600 2279734 2256722 2883584 1247862 1247862
                /dev/sda3 WITHHELD ext4 4096 4096 16870558 1525641 654818 17432576 15958234 15958234


Send this information to the Smolt server? (y/n) y
Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 196, in <module>
    proxies=proxies)
  File "/usr/share/smolt/client/smolt.py", line 564, in send
    ('Content-type', 'application/x-www-form-urlencoded')))
  File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 954, in urlopen
    return self._retry(opts, retryfunc, url)
  File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 914, in _retry
    r = apply(func, (opts,) + args, {})
  File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 953, in retryfunc
    return PyCurlFileObject(url, filename=None, opts=opts)
  File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 1464, in __init__
    self._do_open()
  File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 1629, in _do_open
    self._set_opts()
  File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 1592, in _set_opts
    self.curl_obj.setopt(pycurl.POSTFIELDS, opts.data)
TypeError: invalid arguments to setopt



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mike McGrath 2009-08-17 11:29:36 EDT
Was this a one time thing or is it still happening?
Comment 2 Mike McGrath 2009-08-17 11:51:00 EDT
Sorry, confirmed.  Looking further, this is a dup of another bug but I'm having problems finding it atm.
Comment 3 Clemens Eisserer 2009-08-17 11:53:18 EDT
Happens every time :-/
Comment 4 Mike McGrath 2009-08-17 12:07:39 EDT
Sorry about that, shame on me for testing on a not-fully-upgraded rawhide.  This is actually a dupe of 515797 and has been fixed but not released yet.  I'd expect it hopefully in the next week or two as they finalize the next urlgrabber release.

*** This bug has been marked as a duplicate of bug 515797 ***

Note You need to log in before you can comment on or make changes to this bug.